Bug 47896 - Too many languages in Format/Language
Summary: Too many languages in Format/Language
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Format-Dialog Character-Dialog
  Show dependency treegraph
 
Reported: 2012-03-26 06:01 UTC by Yogurt
Modified: 2019-07-21 07:36 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
Removes not-installed languages from font-dialog. (7.27 KB, patch)
2012-05-27 06:56 UTC, Rob Snelders
Details
How to select a language in Word 2010 (23.62 KB, image/png)
2012-05-30 10:13 UTC, Olivier R.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogurt 2012-03-26 06:01:32 UTC
Steps to reproduce:
1. Go Format / Character / Font in Writer, or Format / Cells / Font in Calc.
2. Open the popup below Languages.
3. The popup shows literally hundreds of languages, such as Swaheli or Mbochi.
4. Whenever I want to find my language, I have to go through pages of exotic languages. Even typing does not help since "English (US)" is at the end of English languages, for example.

Proposal:

Please make an option in preferences (or right next to the Language popup) so that only languages with installed proofing tools are displayed. (The names with the small ABC tick mark next to them).
Comment 1 Rob Snelders 2012-05-27 06:56:29 UTC
Created attachment 62138 [details]
Removes not-installed languages from font-dialog.

Hi,

This page removes the languages that are not installed from the language-lists in de fonts-dialog. It will always display the selected language in the languages-tab of the options-dialog.

--
Greetings,
Rob Snelders
Comment 2 Rob Snelders 2012-05-27 06:56:46 UTC
setting the status
Comment 3 Don't use this account, use tml@iki.fi 2012-05-28 00:15:57 UTC
Yogurt, are you sure that the language choice is used only by proofreading tools? I am fairly certain there are lots of locale-dependent properties that the language choice affects, not just proofreading tools. Also, it would be a bit judgemental to start classifying languages arbitrarily into "exotic" and "non-exotic" ones, don't you think? Going down that path soon leads us into nationalistic debates, which are the most ugly kind.

Sure, the dialog in question could use a better UI; for instance with a couple of the most recently selected languages always sorted first in the list, or something.

Rob, when you "not installed", what do you mean?

Why is this marked as resolved even if the patch has not been applied?
Comment 4 Rob Snelders 2012-05-28 02:30:58 UTC
I'm sorry for setting the status to fixed. I'll wait next time for the patch to be accepted.

The patch removes the languages that don't have a dictionary installed from the list (except the one selected as default language in the options-tab), as selecting them has the same effect as selecting "[none]".
I agree with Yogurt that the list is too large, so you need to search the list for the language you want.
Comment 5 Eike Rathke 2012-05-30 09:33:20 UTC
Removing languages from the list just because there is no spell checker installed for them isn't a good idea. In Writer the language is not only used for spell-checking, if locale data is available for the locale it also affects the display of field values such as dates and numbers if no specific locale was chosen for the field formatting. Furthermore, one may of course want to write in a language (and assign it such) if the tools are not installed.

One possible solution might be to use a tree list instead of the flat list where the root has only one entry per language, and the next level the differentiation between locales.

Another possible and maybe better solution could be to remember the usage frequency of languages and sort the most used to the top of the list.

Just some ideas.. maybe involving the UX list would give some input on this?
Comment 6 Olivier R. 2012-05-30 09:44:11 UTC
Displaying the languages in this order would be helpful:
- the languages with locale interface installed,
- the languages used in the document,
- the languages with installed dictionaries,
- everything else.
Comment 7 Don't use this account, use tml@iki.fi 2012-05-30 09:56:33 UTC
I think the languages used in the document should be first in a list. After all, personally I practically hate using software localised to my native language, but still I might very well be writing documents in it. Maybe also languages recently used by the user in any document, not just the current one, should have priority... The bikeshedding possibilities are endless. So probably best to simply ask, what does Word do?
Comment 8 Olivier R. 2012-05-30 10:13:48 UTC
Created attachment 62295 [details]
How to select a language in Word 2010

Here is how Word offer to select a language.
The list is huge. The window’s size cannot be changed.

My interface is in English. I assume it offers me to select the French language because my Windows is a French version.
Comment 9 Rob Snelders 2012-05-30 10:16:03 UTC
(In reply to comment #8)
> Here is how Word offer to select a language.
> The list is huge. The window’s size cannot be changed.

Are French and English still in the list below? So that that list contains all languages on alphabet also?
Comment 10 Olivier R. 2012-05-30 10:21:45 UTC
(In reply to comment #9)
> Are French and English still in the list below? So that that list contains all
> languages on alphabet also?

Yes.
Comment 11 Don't use this account, use tml@iki.fi 2012-05-30 12:03:16 UTC
For me the upper part of the language list in Word 2010 is much larger, as it includes all the keyboard layouts I have activated, and I have a fair bunch of those, to be able to input different scripts to test various stuff (even if I don't understand the languages in question;). In addition it seems to include other languages that are present in the document.
Comment 12 Michael Stahl (CIB) 2012-07-06 11:16:44 UTC
Comment on attachment 62138 [details]
Removes not-installed languages from font-dialog.

the comments indicate that this patch is not to be integrated,
setting the "obsolete" flag so the bug does not turn up in bugzilla queries.
Comment 13 Trond Trosterud 2013-12-28 21:13:16 UTC
This is an important issue. My background is the following: I develop proofing tools for morphologically complex languages. What I thus want is that LO is able to handle any language with a speaker community active enough to cooperate with me or (needless to say) with anyone else with an infrastructure for making LO proofing tools. Some of these attempts will result in good and welcome proofing tools, others will not, and it is hard to tell on beforehand. I thus suggest LO operats with __two__ language lists:
1. a short list of the most common languages (approximately today's list, or perhaps shortened to 100 languages or even fewer, e.g. to the ones coming with preinstalled tools)
2. a backlist containing the entire ISO 639-3. (https://en.wikipedia.org/wiki/ISO_639-3). Users (and developers) interested in other languages than the short list will find their language in the long list. Getting from the short to the long list should be easy (e.g. >More languages at the beginning and end of the shortlist, or whatever)

Someone on this thread asked what MS Word does this. How much I hate to admit it, rumors have it that W8 is actually better than us in this respect, in having a solution along the lines sketched here. If the rumors are true, this is a paradox, since adding proofing tools to the closed MS requires the approval of MS or some of its subcontractors, whereas we being __open__ should capitalise on that, and have an open list of languages for proofing tool additions.
Comment 14 Joel Madero 2014-11-06 16:14:39 UTC
This seems to at least be confirmed - moving to NEW as it's not assigned to anyone and was never really fixed.
Comment 15 Martin Rundkvist 2018-06-02 07:26:26 UTC
I want to bump this error report to "active".

I switch between Swedish, English and a few other languages every day in my writing. It's a major hassle for me that the language list in the Character dialogue is so long. I want to be able to decide which languages will be visible on this dropdown list.

This contains no implicit judgement of which languages are "exotic". I just have these two languages on the list that I switch between all the time, and I don't want to see the others because it's a time-waster and a hassle. It would be the same if my two languages were Occitan and Tok Pisin.
Comment 16 Beat E. 2019-07-17 10:03:00 UTC Comment hidden (me-too)
Comment 17 Beat E. 2019-07-20 07:26:12 UTC Comment hidden (me-too)
Comment 18 Tor Lillqvist 2019-07-20 21:27:42 UTC
Ed: Please don't touch tags or other fields that developers or QA people have set.
Comment 19 Beat E. 2019-07-21 07:36:17 UTC
I didn't know that I should not change the tags. I am sorry for this.

I do not agree that this is just an enhancement. For EVERYONE who uses the language field today's drop-down list is very annoying, a real bug. For example there are 22 different kinds of English. I am sure that nobody wants to see all of them. It just means that you need to do a lot of scrolling which is irritating. It stops the flow and the productivity. 

I guess that changing the drop-down list is not so much work and it would make a lot of users in a multilingual environment (in Canada, Switzerland, Belgium, India, etc. and in multinational companies) really more satisfied and more productive. I guess you just need to add a filter which chooses the proper languages for the drop-down list. But I may be wrong about this because I am not a developer. 

This is why I like you to change the importance to normal again.